Project

General

Profile

Actions

Regression #11500

closed

OpenVPN using the wrong OpenSSL command to list digest algorithms

Added by Markus Schiegl 8 months ago. Updated 6 months ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
OpenVPN
Target version:
Start date:
02/22/2021
Due date:
% Done:

0%

Estimated time:
Plus Target Version:
Release Notes:
Default
Affected Version:
2.5.0
Affected Architecture:

Description

At least in OpenSSL version 1.1.1i-freebsd, used by pfsense 2.5, there is no longer a "list-message-digest-algorithms" parameter. It has been replaced by "list -digest-algorithms".
The old parameter results in an error <Invalid command 'list-message-digest-algorithms'; type "help" for a list> and may even cause an endless loop on startup/migration.

Pull Request in GitHub: https://github.com/pfsense/pfsense/pull/4501#

Actions

Also available in: Atom PDF